khrplatform.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | KHRONOS_APICALL __declspec(dllimport)
#define | KHRONOS_APIENTRY __stdcall
#define | KHRONOS_APIATTRIBUTES
#define | KHRONOS_SUPPORT_INT64 1
#define | KHRONOS_SUPPORT_FLOAT 1
#define | KHRONOS_MAX_ENUM 0x7FFFFFFF

## Typedefs

typedef __int32 | khronos_int32_t
typedef unsigned __int32 | khronos_uint32_t
typedef __int64 | khronos_int64_t
typedef unsigned __int64 | khronos_uint64_t
typedef signed char | khronos_int8_t
typedef unsigned char | khronos_uint8_t
typedef signed short int | khronos_int16_t
typedef unsigned short int | khronos_uint16_t
typedef signed long int | khronos_intptr_t
typedef unsigned long int | khronos_uintptr_t
typedef signed long int | khronos_ssize_t
typedef unsigned long int | khronos_usize_t
typedef float | khronos_float_t
typedef khronos_uint64_t | khronos_utime_nanoseconds_t
typedef khronos_int64_t | khronos_stime_nanoseconds_t

## Enumerations

enum | khronos_boolean_enum_t { KHRONOS_FALSE = 0, KHRONOS_TRUE = 1, KHRONOS_BOOLEAN_ENUM_FORCE_SIZE = KHRONOS_MAX_ENUM, KHRONOS_FALSE = 0, KHRONOS_TRUE = 1, KHRONOS_BOOLEAN_ENUM_FORCE_SIZE = KHRONOS_MAX_ENUM }

## Macro Definition Documentation

## KHRONOS_APIATTRIBUTES

#define KHRONOS_APIATTRIBUTES

Definition at line 131 of file khrplatform.h.

## KHRONOS_APICALL

#define KHRONOS_APICALL __declspec(dllimport)

Definition at line 101 of file khrplatform.h.

## KHRONOS_APIENTRY

#define KHRONOS_APIENTRY __stdcall

Definition at line 118 of file khrplatform.h.

## KHRONOS_MAX_ENUM

#define KHRONOS_MAX_ENUM 0x7FFFFFFF

Definition at line 269 of file khrplatform.h.

## KHRONOS_SUPPORT_FLOAT

#define KHRONOS_SUPPORT_FLOAT 1

Definition at line 174 of file khrplatform.h.

## KHRONOS_SUPPORT_INT64

#define KHRONOS_SUPPORT_INT64 1

Definition at line 173 of file khrplatform.h.

## Typedef Documentation

## khronos_float_t

typedef float khronos_float_t

Definition at line 248 of file khrplatform.h.

## khronos_int16_t

typedef signed short int khronos_int16_t

Definition at line 224 of file khrplatform.h.

## khronos_int32_t

typedef __int32 khronos_int32_t

Definition at line 169 of file khrplatform.h.

## khronos_int64_t

typedef __int64 khronos_int64_t

Definition at line 171 of file khrplatform.h.

## khronos_int8_t

typedef signed char khronos_int8_t

Definition at line 222 of file khrplatform.h.

## khronos_intptr_t

typedef signed long int khronos_intptr_t

Definition at line 238 of file khrplatform.h.

## khronos_ssize_t

typedef signed long int khronos_ssize_t

Definition at line 240 of file khrplatform.h.

## khronos_stime_nanoseconds_t

typedef khronos_int64_t khronos_stime_nanoseconds_t

Definition at line 262 of file khrplatform.h.

## khronos_uint16_t

typedef unsigned short int khronos_uint16_t

Definition at line 225 of file khrplatform.h.

## khronos_uint32_t

typedef unsigned __int32 khronos_uint32_t

Definition at line 170 of file khrplatform.h.

## khronos_uint64_t

typedef unsigned __int64 khronos_uint64_t

Definition at line 172 of file khrplatform.h.

## khronos_uint8_t

typedef unsigned char khronos_uint8_t

Definition at line 223 of file khrplatform.h.

## khronos_uintptr_t

typedef unsigned long int khronos_uintptr_t

Definition at line 239 of file khrplatform.h.

## khronos_usize_t

typedef unsigned long int khronos_usize_t

Definition at line 241 of file khrplatform.h.

## khronos_utime_nanoseconds_t

typedef khronos_uint64_t khronos_utime_nanoseconds_t

Definition at line 261 of file khrplatform.h.

## Enumeration Type Documentation

## khronos_boolean_enum_t

enum khronos_boolean_enum_t

Enumerator
KHRONOS_FALSE |
KHRONOS_TRUE |
KHRONOS_BOOLEAN_ENUM_FORCE_SIZE |
KHRONOS_FALSE |
KHRONOS_TRUE |
KHRONOS_BOOLEAN_ENUM_FORCE_SIZE |

Definition at line 278 of file khrplatform.h.

{
KHRONOS_FALSE = 0,
KHRONOS_TRUE = 1,
KHRONOS_BOOLEAN_ENUM_FORCE_SIZE = KHRONOS_MAX_ENUM
} khronos_boolean_enum_t;
KHRONOS_BOOLEAN_ENUM_FORCE_SIZE
Definition: khrplatform.h:281
KHRONOS_MAX_ENUM
#define KHRONOS_MAX_ENUM
Definition: khrplatform.h:269
khronos_boolean_enum_t
khronos_boolean_enum_t
Definition: khrplatform.h:278
KHRONOS_TRUE
Definition: khrplatform.h:280
KHRONOS_FALSE
Definition: khrplatform.h:279